import numpy as np
import pandas as pd
from sklearn.neighbors import KNeighborsClassifier
import pickle

dataset = pd.read_csv('iris.csv')
np.random.seed(0)

iris_X = np.asmatrix(dataset[['sepal.width', 'sepal.length', 'petal.width', 'petal.length']], dtype=np.float64)
iris_y = np.asarray(dataset['variety'])
indices = np.random.permutation(len(iris_X))
iris_X_train = iris_X[indices[:-10]]
iris_y_train = iris_y[indices[:-10]]

knn = KNeighborsClassifier()
knn.fit(iris_X_train, iris_y_train)

knn_train_file = open('knn_train.pkl', 'wb')
pickle.dump(knn, knn_train_file)
knn_train_file.close()
